Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Installing the upgrade of Firefox... [solved]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Fri Aug 08, 2014 12:34 am    Post subject: Reply with quote

Code:
emerge -C CPAN-Meta perl-Test-Simple virtual/perl-Test-Simple virtual/perl-CPAN-Meta
emerge -1 --backtrack=30 CPAN-Meta perl-Test-Simple virtual/perl-Test-Simple virtual/perl-CPAN-Meta


Code:
emerge -C =kde-base/kde-l10n-4.9.5 =sys-auth/polkit-kde-agent-0.99.0-r1 =sys-auth/polkit-0.110 =sys-auth/consolekit-0.4.5_p20120320-r1
emerge -1 --backtrack=30 --with-bdeps kde-base/kde-l10n sys-auth/polkit-kde-agent sys-auth/polkit sys-auth/consolekit


it appears that some packages are using ~x86 keywords and some x86?

Edited to delete version numbers in the emerge -1
_________________
Defund the FCC.


Last edited by DONAHUE on Fri Aug 08, 2014 12:54 am; edited 2 times in total
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Fri Aug 08, 2014 12:49 am    Post subject: Reply with quote

# emerge -1v `equery list -f '.*perl.*' -F '$cp'`

Total: 174 packages (40 upgrades, 134 reinstalls), Size of downloads: 24,926 kB


>>> Verifying ebuild manifests

>>> Emerging (1 of 174) sys-devel/libperl-5.10.1-r1::gentoo
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Fri Aug 08, 2014 12:53 am    Post subject: Reply with quote

Code:
emerge -C =kde-base/kde-l10n-4.9.5 =sys-auth/polkit-kde-agent-0.99.0-r1 =sys-auth/polkit-0.110 =sys-auth/consolekit-0.4.5_p20120320-r1
emerge -1 --backtrack=30 --with-bdeps kde-base/kde-l10n sys-auth/polkit-kde-agent sys-auth/polkit sys-auth/consolekit


hopefully killing the last block
_________________
Defund the FCC.
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Fri Aug 08, 2014 7:01 am    Post subject: Reply with quote

Code:

# emerge -1 --backtrack=30 --with-bdeps kde-base/kde-l10n sys-auth/polkit-kde-agent sys-auth/polkit sys-auth/consolekit
usage: emerge [--regen] [--metadata] [--moo] [--search] [--depclean] [--info]
              [--check-news] [--unmerge] [--sync] [--config] [--version]
              [--prune] [--clean] [--list-sets] [--help] [--alphabetical]
              [--ask-enter-invalid] [--buildpkgonly] [--changed-use]
              [--changelog] [--columns] [--debug] [--digest] [--emptytree]
              [--verbose-conflicts] [--fetchonly] [--fetch-all-uri]
              [--ignore-default-opts] [--noconfmem] [--newrepo] [--newuse]
              [--nodeps] [--noreplace] [--nospinner] [--oneshot] [--onlydeps]
              [--pretend] [--quiet-repo-display] [--quiet-unmerge-warn]
              [--resume] [--searchdesc] [--skipfirst] [--tree]
              [--unordered-display] [--update] [--verbose-main-repo-display]
              [-C] [-B] [-F] [-O] [-N] [-S] [-P] [-V] [-c] [-f] [-e] [-d] [-h]
              [-o] [-n] [-l] [-s] [-r] [-1] [-p] [-u] [-t] [--cols]
              [--skip-first] [--rebuild-exclude REBUILD_EXCLUDE]
              [--complete-graph {True,y,n}]
              [--autounmask-unrestricted-atoms {True,y,n}]
              [--config-root CONFIG_ROOT] [--fail-clean {True,y,n}]
              [--deselect {True,y,n}] [--rebuild-if-unbuilt {True,y,n}]
              [--usepkg {True,y,n}] [--ask {True,y,n}]
              [--autounmask-keep-masks {True,y,n}]
              [--rebuild-if-new-rev {True,y,n}] [--exclude EXCLUDE]
              [--prefix PREFIX] [--rebuilt-binaries {True,y,n}] [--deep DEEP]
              [--autounmask-write {True,y,n}]
              [--rebuild-if-new-ver {True,y,n}] [--color {y,n}]
              [--verbose {True,y,n}] [--rebuild-ignore REBUILD_IGNORE]
              [--quiet-build {True,y,n}] [--reinstall {changed-use}]
              [--binpkg-respect-use {True,y,n}] [--root ROOT]
              [--misspell-suggestions {y,n}] [--selective {True,y,n}]
              [--quiet-fail {True,y,n}] [--complete-graph-if-new-use {y,n}]
              [--verbose-slot-rebuilds {True,y,n}] [--root-deps {True,rdeps}]
              [--use-ebuild-visibility {True,y,n}] [--select {True,y,n}]
              [--usepkgonly {True,y,n}]
              [--rebuilt-binaries-timestamp REBUILT_BINARIES_TIMESTAMP]
              [--accept-properties ACCEPT_PROPERTIES]
              [--usepkg-exclude USEPKG_EXCLUDE] [--keep-going {True,y,n}]
              [--dynamic-deps {y,n}] [--autounmask {True,y,n}]
              [--getbinpkgonly {True,y,n}] [--jobs JOBS]
              [--depclean-lib-check {True,y,n}]
              [--reinstall-atoms REINSTALL_ATOMS] [--pkg-format PKG_FORMAT]
              [--package-moves {True,y,n}] [--backtrack BACKTRACK]
              [--load-average LOAD_AVERAGE]
              [--useoldpkg-atoms USEOLDPKG_ATOMS] [--quiet {True,y,n}]
              [--getbinpkg {True,y,n}] [--buildpkg-exclude BUILDPKG_EXCLUDE]
              [--accept-restrict ACCEPT_RESTRICT]
              [--ignore-built-slot-operator-deps {y,n}] [--with-bdeps {y,n}]
              [--complete-graph-if-new-ver {y,n}] [--buildpkg {True,y,n}]
              [--rebuild-if-new-slot {True,y,n}]
emerge: error: argument --with-bdeps: invalid choice: 'kde-base/kde-l10n' (choose from 'y', 'n')
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Fri Aug 08, 2014 7:10 am    Post subject: Reply with quote

aaargh!
Code:
emerge -1 --backtrack=30 --with-bdeps=y kde-base/kde-l10n sys-auth/polkit-kde-agent sys-auth/polkit sys-auth/consolekit

_________________
Defund the FCC.
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Fri Aug 08, 2014 9:56 pm    Post subject: Reply with quote

perl-cleaner reallyall gives this now:

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "~sys-libs/e2fsprogs-libs-1.42.6".
(dependency required by "sys-fs/e2fsprogs-1.42.6" [installed])
(dependency required by "sys-block/parted-3.1-r1" [installed])
(dependency required by "sys-fs/udisks-2.0.91" [installed])
(dependency required by "kde-base/kdelibs-4.12.5-r2[udisks]" [installed])
(dependency required by "kde-base/kde-l10n-4.12.5[handbook]" [installed])
(dependency required by "sys-auth/polkit-kde-agent-0.99.0-r1[linguas_de]" [installed])
(dependency required by "sys-auth/polkit-0.112-r2[kde]" [installed])
(dependency required by "sys-auth/consolekit-0.4.6[policykit]" [installed])
* perl-cleaner is stopping here:
* Fix the problem and start perl-cleaner again.
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Fri Aug 08, 2014 10:50 pm    Post subject: Reply with quote

# emerge -avuDN system

* IMPORTANT: 31 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=media-libs/libpng-1.4:0/15=".
(dependency required by "net-libs/webkit-gtk-1.10.2-r300" [installed])
(dependency required by "net-libs/libproxy-0.4.11-r2" [installed])
(dependency required by "net-libs/glib-networking-2.40.1-r1[libproxy]" [installed])
(dependency required by "net-libs/libsoup-2.46.0-r1" [installed])
(dependency required by "media-plugins/gst-plugins-soup-0.10.31-r1" [ebuild])
(dependency required by "media-libs/phonon-gstreamer-4.7.2[network]" [ebuild])
(dependency required by "media-libs/phonon-4.7.2[gstreamer]" [ebuild])
(dependency required by "kde-base/kdelibs-4.13.3-r1" [ebuild])
(dependency required by "kde-base/khelpcenter-4.13.3" [ebuild])
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Fri Aug 08, 2014 11:36 pm    Post subject: Reply with quote

Code:
emerge -C ~sys-libs/e2fsprogs-libs-1.42.6
emerge -C sys-libs/e2fsprogs-libs
emerge -C sys-fs/e2fsprogs-1.42.6 =sys-block/parted-3.1-r1 =sys-fs/udisks-2.0.91 =kde-base/kdelibs-4.12.5-r2 =kde-base/kde-l10n-4.12.5 =sys-auth/polkit-kde-agent-0.99.0-r1 =sys-auth/polkit-0.112-r2 =sys-auth/consolekit-0.4.6
emerge -C sys-fs/e2fsprogs =sys-block/parted =sys-fs/udisks =kde-base/kdelibs =kde-base/kde-l10n =sys-auth/polkit-kde-agent =sys-auth/polkit =sys-auth/consolekit
emerge -1 --backtrack=30 sys-libs/e2fsprogs-libs-1.42.10
emerge -1 --backtrack=30 sys-fs/e2fsprogs-1.42.10 =sys-block/parted-3.1-r1 =sys-fs/udisks-2.1.3 =kde-base/kdelibs-4.12.5-r2 =kde-base/kde-l10n-4.12.5 =sys-auth/polkit-kde-agent-0.99.0-r1 =sys-auth/polkit-0.112-r1 =sys-auth/consolekit-0.4.6
perl-cleaner -- --backtrack=30 all

if any, particularly -C complain, make note, do the next command
_________________
Defund the FCC.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sat Aug 09, 2014 12:18 am    Post subject: Reply with quote

emerge -C =media-libs/libpng-1.4
emerge -1 =media-libs/libpng-1.6.12
emerge -C =net-libs/webkit-gtk-1.10.2-r300 =net-libs/libproxy-0.4.11-r2 =net-libs/glib-networking-2.40.1-r1 =net-libs/libsoup-2.46.0-r1 =media-plugins/gst-plugins-soup-0.10.31-r1 =media-libs/phonon-gstreamer-4.7.2 =media-libs/phonon-4.7.2 =kde-base/kdelibs-4.13.3-r1 =kde-base/khelpcenter-4.13.3
emerge -C net-libs/webkit-gtk net-libs/libproxy net-libs/glib-networking- net-libs/libsoup media-plugins/gst-plugins-soup media-libs/phonon-gstreamer media-libs/phonon kde-base/kdelibs kde-base/khelpcenter
emerge -1 =media-libs/libpng-1.6.12
emerge -1 --bactrack=30 --keep-going =media-libs/libpng-1.6.12 =net-libs/webkit-gtk-2.4.4-r200 =net-libs/libproxy-0.4.11-r2 =net-libs/glib-networking-2.40.1-r1 =net-libs/libsoup-2.46.0-r1 =media-plugins/gst-plugins-soup-1.2.4-r1 =media-libs/phonon-gstreamer-4.6.3 =media-libs/phonon-4.6.0-r1 =kde-base/kdelibs-4.12.5-r2 =kde-base/khelpcenter-4.13.3
_________________
Defund the FCC.
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Sun Aug 10, 2014 6:09 pm    Post subject: Reply with quote

http://pastebin.com/Gk8yRLwr
http://pastebin.com/rEKspBYt
http://pastebin.com/DfVRsezV
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sun Aug 10, 2014 6:37 pm    Post subject: Reply with quote

see if
Code:
emerge --rebuild-if-new-slot=y --backtrack=30 -D media-libs/harfbuzz x11-libs/pango
will run
_________________
Defund the FCC.
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Sun Aug 10, 2014 6:58 pm    Post subject: Reply with quote

http://pastebin.com/Kzek8Gdd

wait, i'll try that line.

here: http://pastebin.com/ESbiBXfQ

I'll never ever build the system complete, again. :cry:
:roll:
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sun Aug 10, 2014 9:11 pm    Post subject: Reply with quote

another try
Code:
emerge -1 --nodeps media-libs/harfbuzz x11-libs/pango
does what?

Code:
qlist -IC virtual | wgetpaste
post url

Code:
grep -i hwdb /etc/portage/package.use
equery hasuse hwdb
printf <media-sound/pulseaudio-5.0-r2\\n\<media-plugins/gst-plugins-pulse-1.2.4-r1\n<media-plugins/gst-plugins-meta-1.0-r2\n<media-libs/phonon-gstreamer-4.6.3\n<media-libs/phonon-4.6.0-r1\n<kde-base/kdelibs-4.12.5-r2 <kde-base/katepart-4.12.5 >> /etc/portage/package.mask
emerge -C media-sound/pulseaudio media-plugins/gst-plugins-pulse media-plugins/gst-plugins-meta media-libs/phonon-gstreamer media-libs/phonon kde-base/kdelibs kde-base/katepart
emerge -1 media-sound/pulseaudio media-plugins/gst-plugins-pulse media-plugins/gst-plugins-meta media-libs/phonon-gstreamer media-libs/phonon kde-base/kdelibs kde-base/katepart
emerge -1 systemd virtual/udev

first two lines are informational, second assumes gentoolkit is installed
_________________
Defund the FCC.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sun Aug 10, 2014 9:41 pm    Post subject: Reply with quote

Code:
printf "<dev-libs/lzo-2.08:2\n<dev-libs/icu-52.1:0/52\n<x11-libs/pixman-0.32.4\n<x11-proto/randrproto-1.4.0-r1\n<x11-libs/libXrandr-1.4.2\n<x11-libs/libXft-2.3.1-r1\n<dev-libs/atk-2.12.0-r1\n<media-libs/gstreamer\n<x11-libs/cairo-1.12.16\n<media-libs/harfbuzz-0.9.28\n<x11-libs/pango-1.36.5\n<media-libs/gst-plugins-base-1.2.4-r1\n<media-libs/freeglut-2.8.1-r1\n<media-libs/gst-plugins-good-1.2.4-r1\n<media-libs/jasper-1.900.1-r5\n<net-libs/webkit-gtk-2.4.4-r200" >> /etc/portage/package.mask
emerge -C media-libs/gstreamer media-libs/gst-plugins-base media-libs/gst-plugins-good dev-libs/atk net-libs/webkit-gtk media-libs/freeglut media-libs/jasper x11-libs/libXrandr x11-proto/randrproto x11-libs/cairo x11-libs/pango x11-libs/libXft dev-libs/lzo x11-libs/pixman dev-libs/icu media-libs/harfbuzz
emerge -1 media-libs/gstreamer media-libs/gst-plugins-base media-libs/gst-plugins-good dev-libs/atk net-libs/webkit-gtk media-libs/freeglut media-libs/jasper x11-libs/libXrandr x11-proto/randrproto x11-libs/cairo x11-libs/pango x11-libs/libXft dev-libs/lzo x11-libs/pixman dev-libs/icu media-libs/harfbuzz

_________________
Defund the FCC.
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Mon Aug 11, 2014 4:35 pm    Post subject: Reply with quote

http://pastebin.com/6NCxqLWZ

# grep -i hwdb /etc/portage/package.use
=virtual/udev-215 gudev hwdb
sys-fs/udev extras hwdb
virtual/udev gudev hwdb
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Aug 11, 2014 4:52 pm    Post subject: Reply with quote

[quote=ch64]# grep -i hwdb /etc/portage/package.use
=virtual/udev-215 gudev hwdb
sys-fs/udev extras hwdb
virtual/udev gudev hwdb[/quote] :? OMG a legacy problem I should have looked for long ago. before any further emerges remove
Quote:
=virtual/udev-215 gudev hwdb
sys-fs/udev extras hwdb
virtual/udev gudev hwdb
from package.use, neither exists as a current use flag
_________________
Defund the FCC.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Aug 11, 2014 6:56 pm    Post subject: Reply with quote

At least in theory this will clean up all virtuals:
Code:
emerge -1 acl virtual/acl  dev-manager virtual/dev-manager  editor virtual/editor  eject virtual/eject  emacs virtual/emacs  fam virtual/fam  ffmpeg virtual/ffmpeg  freedesktop-icon-theme virtual/freedesktop-icon-theme  glu virtual/glu  httpd-cgi virtual/httpd-cgi  init virtual/init  jdk virtual/jdk  jdk virtual/jdk  jpeg virtual/jpeg  jre virtual/jre  jre virtual/jre  libc virtual/libc  libffi virtual/libffi  libgudev virtual/libgudev  libiconv virtual/libiconv  libintl virtual/libintl  libstdc++ virtual/libstdc++  libudev virtual/libudev  libusb virtual/libusb  libusb virtual/libusb  linux-sources virtual/linux-sources  logger virtual/logger  man virtual/man  modutils virtual/modutils  mta virtual/mta  mysql virtual/mysql  notification-daemon virtual/notification-daemon  opengl virtual/opengl  os-headers virtual/os-headers  package-manager virtual/package-manager  pager virtual/pager  pam virtual/pam  perl-Archive-Tar virtual/perl-Archive-Tar  perl-bignum virtual/perl-bignum  perl-CGI virtual/perl-CGI  perl-Compress-Raw-Bzip2 virtual/perl-Compress-Raw-Bzip2  perl-Compress-Raw-Zlib virtual/perl-Compress-Raw-Zlib  perl-CPAN-Meta virtual/perl-CPAN-Meta  perl-CPAN-Meta-Requirements virtual/perl-CPAN-Meta-Requirements  perl-CPAN-Meta-YAML virtual/perl-CPAN-Meta-YAML  perl-Digest virtual/perl-Digest  perl-Digest-MD5 virtual/perl-Digest-MD5  perl-Digest-SHA virtual/perl-Digest-SHA  perl-Encode virtual/perl-Encode  perl-ExtUtils-CBuilder virtual/perl-ExtUtils-CBuilder  perl-ExtUtils-Command virtual/perl-ExtUtils-Command  perl-ExtUtils-Install virtual/perl-ExtUtils-Install  perl-ExtUtils-MakeMaker virtual/perl-ExtUtils-MakeMaker  perl-ExtUtils-Manifest virtual/perl-ExtUtils-Manifest  perl-ExtUtils-ParseXS virtual/perl-ExtUtils-ParseXS  perl-File-Spec virtual/perl-File-Spec  perl-File-Temp virtual/perl-File-Temp  perl-Getopt-Long virtual/perl-Getopt-Long  perl-IO virtual/perl-IO  perl-IO-Compress virtual/perl-IO-Compress  perl-IO-Zlib virtual/perl-IO-Zlib  perl-IPC-Cmd virtual/perl-IPC-Cmd  perl-JSON-PP virtual/perl-JSON-PP  perl-libnet virtual/perl-libnet  perl-Locale-Maketext-Simple virtual/perl-Locale-Maketext-Simple  perl-Math-BigInt virtual/perl-Math-BigInt  perl-Math-BigInt-FastCalc virtual/perl-Math-BigInt-FastCalc  perl-Math-BigRat virtual/perl-Math-BigRat  perl-MIME-Base64 virtual/perl-MIME-Base64  perl-Module-Build virtual/perl-Module-Build  perl-Module-CoreList virtual/perl-Module-CoreList  perl-Module-Load virtual/perl-Module-Load  perl-Module-Load-Conditional virtual/perl-Module-Load-Conditional  perl-Module-Metadata virtual/perl-Module-Metadata  perl-Package-Constants virtual/perl-Package-Constants  perl-Params-Check virtual/perl-Params-Check  perl-Parse-CPAN-Meta virtual/perl-Parse-CPAN-Meta  perl-Perl-OSType virtual/perl-Perl-OSType  perl-Pod-Parser virtual/perl-Pod-Parser  perl-Scalar-List-Utils virtual/perl-Scalar-List-Utils  perl-Storable virtual/perl-Storable  perl-Sys-Syslog virtual/perl-Sys-Syslog  perl-Test-Harness virtual/perl-Test-Harness  perl-Test-Simple virtual/perl-Test-Simple  perl-Time-Local virtual/perl-Time-Local  perl-version virtual/perl-version  perl-Version-Requirements virtual/perl-Version-Requirements  perl-XSLoader virtual/perl-XSLoader  pkgconfig virtual/pkgconfig  rubygems virtual/rubygems  rubygems virtual/rubygems  shadow virtual/shadow  ssh virtual/ssh  ttf-fonts virtual/ttf-fonts  udev virtual/udev  yacc virtual/yacc

_________________
Defund the FCC.
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Mon Aug 11, 2014 10:25 pm    Post subject: Reply with quote

http://pastebin.com/uE0CBvky
update
http://pastebin.com/jxrjcwdW
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Aug 11, 2014 11:04 pm    Post subject: Reply with quote

without init :
Code:
emerge -1 acl virtual/acl  dev-manager virtual/dev-manager  editor virtual/editor  eject virtual/eject  emacs virtual/emacs  fam virtual/fam  ffmpeg virtual/ffmpeg  freedesktop-icon-theme virtual/freedesktop-icon-theme  glu virtual/glu  httpd-cgi virtual/httpd-cgi jdk virtual/jdk  jdk virtual/jdk  jpeg virtual/jpeg  jre virtual/jre  jre virtual/jre  libc virtual/libc  libffi virtual/libffi  libgudev virtual/libgudev  libiconv virtual/libiconv  libintl virtual/libintl  libstdc++ virtual/libstdc++  libudev virtual/libudev  libusb virtual/libusb  libusb virtual/libusb  linux-sources virtual/linux-sources  logger virtual/logger  man virtual/man  modutils virtual/modutils  mta virtual/mta  mysql virtual/mysql  notification-daemon virtual/notification-daemon  opengl virtual/opengl  os-headers virtual/os-headers  package-manager virtual/package-manager  pager virtual/pager  pam virtual/pam  perl-Archive-Tar virtual/perl-Archive-Tar  perl-bignum virtual/perl-bignum  perl-CGI virtual/perl-CGI  perl-Compress-Raw-Bzip2 virtual/perl-Compress-Raw-Bzip2  perl-Compress-Raw-Zlib virtual/perl-Compress-Raw-Zlib  perl-CPAN-Meta virtual/perl-CPAN-Meta  perl-CPAN-Meta-Requirements virtual/perl-CPAN-Meta-Requirements  perl-CPAN-Meta-YAML virtual/perl-CPAN-Meta-YAML  perl-Digest virtual/perl-Digest  perl-Digest-MD5 virtual/perl-Digest-MD5  perl-Digest-SHA virtual/perl-Digest-SHA  perl-Encode virtual/perl-Encode  perl-ExtUtils-CBuilder virtual/perl-ExtUtils-CBuilder  perl-ExtUtils-Command virtual/perl-ExtUtils-Command  perl-ExtUtils-Install virtual/perl-ExtUtils-Install  perl-ExtUtils-MakeMaker virtual/perl-ExtUtils-MakeMaker  perl-ExtUtils-Manifest virtual/perl-ExtUtils-Manifest  perl-ExtUtils-ParseXS virtual/perl-ExtUtils-ParseXS  perl-File-Spec virtual/perl-File-Spec  perl-File-Temp virtual/perl-File-Temp  perl-Getopt-Long virtual/perl-Getopt-Long  perl-IO virtual/perl-IO  perl-IO-Compress virtual/perl-IO-Compress  perl-IO-Zlib virtual/perl-IO-Zlib  perl-IPC-Cmd virtual/perl-IPC-Cmd  perl-JSON-PP virtual/perl-JSON-PP  perl-libnet virtual/perl-libnet  perl-Locale-Maketext-Simple virtual/perl-Locale-Maketext-Simple  perl-Math-BigInt virtual/perl-Math-BigInt  perl-Math-BigInt-FastCalc virtual/perl-Math-BigInt-FastCalc  perl-Math-BigRat virtual/perl-Math-BigRat  perl-MIME-Base64 virtual/perl-MIME-Base64  perl-Module-Build virtual/perl-Module-Build  perl-Module-CoreList virtual/perl-Module-CoreList  perl-Module-Load virtual/perl-Module-Load  perl-Module-Load-Conditional virtual/perl-Module-Load-Conditional  perl-Module-Metadata virtual/perl-Module-Metadata  perl-Package-Constants virtual/perl-Package-Constants  perl-Params-Check virtual/perl-Params-Check  perl-Parse-CPAN-Meta virtual/perl-Parse-CPAN-Meta  perl-Perl-OSType virtual/perl-Perl-OSType  perl-Pod-Parser virtual/perl-Pod-Parser  perl-Scalar-List-Utils virtual/perl-Scalar-List-Utils  perl-Storable virtual/perl-Storable  perl-Sys-Syslog virtual/perl-Sys-Syslog  perl-Test-Harness virtual/perl-Test-Harness  perl-Test-Simple virtual/perl-Test-Simple  perl-Time-Local virtual/perl-Time-Local  perl-version virtual/perl-version  perl-Version-Requirements virtual/perl-Version-Requirements  perl-XSLoader virtual/perl-XSLoader  pkgconfig virtual/pkgconfig  rubygems virtual/rubygems  rubygems virtual/rubygems  shadow virtual/shadow  ssh virtual/ssh  ttf-fonts virtual/ttf-fonts  udev virtual/udev  yacc virtual/yacc

_________________
Defund the FCC.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Aug 11, 2014 11:19 pm    Post subject: Reply with quote

did we ever look at
Code:
eselect profile list
as to what profile is active?
or run
Code:
emerge --depclean

_________________
Defund the FCC.
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Mon Aug 11, 2014 11:31 pm    Post subject: Reply with quote

http://pastebin.com/dg3V1JZe :oops:

[3] default/linux/x86/13.0/desktop *

i have gnome and kde.

http://pastebin.com/eVQv5U6H

I'll never get this system updated. :roll:
But Firefox and Seamonkey is up to date now. :) Like the topic says.. :)
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Tue Aug 12, 2014 6:44 pm    Post subject: Reply with quote

DONAHUE, i see the possibility that i can resolve that emerge @world dependency issue.
The last two times i started that -avuDN world the blocks were more less.
There were some useflag fixes i made and the complete output (pastebin) is now very short.

The thing is. The look of portage changes over time. I don't really get it sometimes.
On my Quadcore System it is the same, but there the build process is much faster, so i can resolve it in about a few hours and complete the update.
On this netbook the build process is very long so all the time i get back on the system i look into the LCD and don't really know where to start.

On the other side the good thing is, that x86 is pretty stable here. Not to compare with amd64 which is pretty bugfull. :p
http://pastebin.com/zQijzmih

I now try to resolve this (pastebin)
That emerge does take a pretty long time, so thanks for your help the last weeks DONAHUE
I sometimes think, we should have stopped the topic when firefox was updatable.
On the other hand :) there is no better place to talk about a long-period update, than a forum thread.
Hmm, my english is a little bit worse :)
Back to top
View user's profile Send private message
ch64
Guru
Guru


Joined: 09 Jun 2010
Posts: 319

PostPosted: Sat Aug 16, 2014 1:45 am    Post subject: Reply with quote

PS: Wie jetzt? - Nein, ich bin eine geduldige Natur.
---> How? Are? You? Me! Friend!
[...]
[uninstall ] kde-base/kdnssd-4.9.5:4 USE="zeroconf (-aqua) -debug"
[blocks b ] kde-base/kdnssd:4 ("kde-base/kdnssd:4" is blocking kde-base/zeroconf-ioslave-4.13.3)
[ebuild U ] kde-base/kcontrol-4.13.3:4/4.13 [4.9.5:4/4] USE="handbook (-aqua) -debug" 0 kB
[ebuild U ] kde-base/kdebase-runtime-meta-4.13.3:4 [4.9.5:4] USE="crash-reporter%* handbook (-aqua) -nepomuk% (-semantic-desktop%*)" 0 kB
[ebuild N ] dev-libs/libusb-compat-0.1.5-r3 USE="-debug -examples -static-libs" 271 kB
[uninstall ] dev-libs/libusb-0.1.12-r7 USE="cxx -debug -doc -static-libs"
[blocks b ] dev-libs/libusb-compat ("dev-libs/libusb-compat" is blocking dev-libs/libusb-0.1.12-r7)
[blocks b ] dev-libs/libusb:0 ("dev-libs/libusb:0" is blocking dev-libs/libusb-compat-0.1.5-r3)
[ebuild U ] virtual/libusb-0-r2 [0] 0 kB
[ebuild U ] kde-base/systemsettings-4.11.11:4/4.11 [4.9.5:4/4] USE="gtk handbook opengl usb (-aqua) -debug -nepomuk% {-test}" 0 kB
[ebuild U ] net-wireless/spectools-2011.08.1_p20140618 [2011.08.1-r2] USE="gtk ncurses -debug%" 141 kB
[ebuild U ] net-wireless/kismet-2013.03.1-r1:0/2013.03.1 [2011.03.2-r3:0/0] USE="client pcre plugin-autowep plugin-btscan plugin-ptw plugin-spectools plugin-syslog%* ruby suid -plugin-dot15d4* (-selinux) -speech" 879 kB
[ebuild U ] kde-base/kdebase-startkde-4.11.11:4/4.11 [4.9.5:4/4] USE="wallpapers (-aqua)" 0 kB
[blocks B ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/gentoo-systemd-integration-4, sys-apps/systemd-215-r3)
[blocks B ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-215-r1)
[blocks B ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-215-r1)
[blocks B ] sys-power/upower ("sys-power/upower" is blocking sys-power/upower-pm-utils-0.9.23-r2)
[blocks B ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-video/libav-9.14)

Total: 897 packages (731 upgrades, 141 new, 16 in new slots, 9 reinstalls, 9 uninstalls), Size of downloads: 2,132,218 kB
Fetch Restriction: 1 package
Conflict: 24 blocks (5 unsatisfied)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(sys-power/upower-0.99.0-r1:0/2::gentoo, ebuild scheduled for merge) pulled in by
>=sys-power/upower-0.9.23 required by (kde-base/kdelibs-4.13.3-r1:4/4.13::gentoo, ebuild scheduled for merge)
>=sys-power/upower-0.99 required by (gnome-base/gnome-settings-daemon-3.12.2:0/0::gentoo, ebuild scheduled for merge)
>=sys-power/upower-0.9 required by (app-misc/tracker-1.0.2:0/100::gentoo, ebuild scheduled for merge)
>=sys-power/upower-0.99 required by (gnome-base/gnome-control-center-3.12.1-r1:2/2::gentoo, ebuild scheduled for merge)
>=sys-power/upower-0.99 required by (gnome-extra/gnome-power-manager-3.12.2:0/0::gentoo, ebuild scheduled for merge)
>=sys-power/upower-0.99[introspection] required by (gnome-base/gnome-shell-3.12.2:0/0::gentoo, ebuild scheduled for merge)
>sys-power/upower-0.99 required by (x11-wm/mutter-3.12.2:0/0::gentoo, ebuild scheduled for merge)

(media-video/libav-9.14:0/9::gentoo, ebuild scheduled for merge) pulled in by
>=media-video/libav-9.12[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/libav-9.12[abi_x86_32(-),X,encode,gsm,jpeg2k,mp3,sdl,speex,theora,threads,truetype,x264]) required by (virtual/ffmpeg-9-r1:0/0::gentoo, ebuild scheduled for merge)

(sys-fs/udev-215-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
>=sys-fs/udev-208-r1 required by (virtual/udev-215:0/0::gentoo, ebuild scheduled for merge)
>=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_32(-)]) required by (virtual/libudev-215-r1:0/1::gentoo, ebuild scheduled for merge)
>=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_32(-),gudev,introspection]) required by (virtual/libgudev-215-r1:0/0::gentoo, ebuild scheduled for merge)

(sys-power/upower-pm-utils-0.9.23-r2:0/0::gentoo, ebuild scheduled for merge) pulled in by
sys-power/upower-pm-utils required by (net-im/telepathy-mission-control-5.16.2:0/0::gentoo, ebuild scheduled for merge)

(media-video/ffmpeg-2.2.7:0/52.55.55::gentoo, ebuild scheduled for merge) pulled in by
>=media-video/ffmpeg-1.2:0= required by (media-video/vlc-2.1.4:0/5-7::gentoo, ebuild scheduled for merge)
media-video/ffmpeg:0 required by (media-libs/xine-lib-1.2.6:1/1::gentoo, ebuild scheduled for merge)
>=media-video/ffmpeg-1.2.1:0= required by (media-video/mplayer-1.2_pre20130729:0/0::gentoo, ebuild scheduled for merge)
>=media-video/ffmpeg-1.2.6-r1:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=media-video/ffmpeg-1.2.6-r1:0[abi_x86_32(-)]) required by (media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r2:0.10/0.10::gentoo, ebuild scheduled for merge)

(sys-apps/systemd-215-r3:0/2::gentoo, ebuild scheduled for merge) pulled in by
sys-apps/systemd required by @selected
>=sys-apps/systemd-31 required by (gnome-base/gnome-shell-3.12.2:0/0::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-31 required by (gnome-base/gnome-control-center-3.12.1-r1:2/2::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-183 required by (net-misc/networkmanager-0.9.8.10-r1:0/0::gentoo, ebuild scheduled for merge)
sys-apps/systemd required by (gnome-base/gnome-settings-daemon-3.12.2:0/0::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-204[pam] required by (sys-auth/pambase-20140313:0/0::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4:0/0::gentoo, ebuild scheduled for merge)
sys-apps/systemd:0= required by (sys-apps/dbus-1.8.6:0/0::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-186:0=[pam] required by (gnome-base/gdm-3.12.2:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following packages are causing rebuilds:

(media-libs/libmng-2.0.2-r1:0/2::gentoo, ebuild scheduled for merge) causes rebuilds for:
(dev-qt/qtgui-4.8.5-r3:4/4::gentoo, ebuild scheduled for merge)

My Provider is Deutsche Telekom...
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sun Aug 17, 2014 8:43 pm    Post subject: Reply with quote

I have my own similar mess now, left my local dns server to auto update, failed to monitor it, and it stopped updating. Have had good luck with A.) rm -rf /usr/portage/distfiles/* and B.) emerge --keep-going --backtrack=300 world , you may want to add 0's to backtrack
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum